<?php

/* width     bredd */
if ( ! isset( $content_width ) ) $content_width = 560;


if ( ! function_exists( 'musik_setup' ) ) :
	function musik_setup() {
		$musik_ch = array( //custom header settings
		'default-image'          => get_template_directory_uri() . '/images/headers/musik2.png',
		'random-default'         => false,
		'width'                  => 1000,
		'height'                 => 300,
		'flex-height'            => true,
		'flex-width'             => true,
		'uploads'                => true,
		'header-text'            => true,
		'default-text-color'     => '222',
		'wp-head-callback'       => 'musik_header_textcolor'
		);
		add_theme_support( 'custom-header', $musik_ch );
		

		$musik_cb = array( //custom background settings
			'default-color'          => '#0066ff',
			'default-image'   => get_template_directory_uri() . '/images/mic.png',
		);
		add_theme_support( 'custom-background', $musik_cb);

		add_theme_support( 'post-thumbnails' );
		set_post_thumbnail_size( 190, 190 );
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'post-formats', array( 'aside','link','status'));
		
		add_editor_style();

		/* translate */
		load_theme_textdomain( 'musik', get_template_directory() . '/languages' );
		
		/* add menu */
		register_nav_menus( array('header' => __( 'Header Navigation', 'musik' ) ) );	

		register_default_headers( array(
			'musik' => array(
				'url' => '%s/images/headers/musik.png',
				'thumbnail_url' => '%s/images/headers/musik-thumb.png',
				/* translators: header image description */
				'description' => __( 'Header', 'musik' )
			),
			'musik2' => array(
				'url' => '%s/images/headers/musik2.png',
				'thumbnail_url' => '%s/images/headers/musik2-thumb.png',
				/* translators: header image description */
				'description' => __( 'Header', 'musik' )
			)
		) );
}
endif;
add_action( 'after_setup_theme', 'musik_setup' );

function musik_header_textcolor() {
	echo '<style type="text/css">
		.site-title a,
		.site-description {
			color: #' . get_header_textcolor() . '!important;
		}
	</style>';
}


/* Enqueue fonts */
 function musik_fonts_styles() {
    wp_register_style('musik_Font','//fonts.googleapis.com/css?family=Open+Sans+Condensed:300,300italic');
	wp_register_style('musik_Font2','//fonts.googleapis.com/css?family=Oswald&subset=latin,latin-ext');

	wp_enqueue_style('musik_style', get_stylesheet_uri() );
    wp_enqueue_style('musik_Font');
	wp_enqueue_style('musik_Font2');
	
	wp_register_style( 'musik_genericons', get_template_directory_uri() . '/css/icons.css' );
	wp_enqueue_style( 'musik_genericons' );


	/* Enqueue comment reply / threaded comments. */
	if ( ! is_admin() ){
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) { 
			wp_enqueue_script( 'comment-reply' ); 
		}
	}

	wp_enqueue_script( 'musik-navigation', get_template_directory_uri() . '/js/navigation.js', array('jquery'), '20120206', true );

}
 add_action('wp_enqueue_scripts', 'musik_fonts_styles');
 
 
/* Add title to read more links */
add_filter( 'get_the_excerpt', 'musik_custom_excerpt_more',100 );
add_filter( 'excerpt_more', 'musik_excerpt_more',100 );
add_filter( 'the_content_more_link', 'musik_content_more', 100 );

 function musik_continue_reading($id ) {
	return '<a href="'.get_permalink( $id ).'">' . __( 'Read more: ', 'musik' ) . get_the_title($id) . '</a>';
}
 
function musik_content_more($more) {
	global $id;
	return musik_continue_reading( $id );
}
 
function musik_excerpt_more($more) {
	global $id;
	return '... '.musik_continue_reading( $id );
}

function musik_custom_excerpt_more($output) {
	if (has_excerpt() && !is_attachment()) {
		global $id;
		$output .= ' '.musik_continue_reading( $id );
	}
	return $output;
}

/* Register widget areas (Sidebars)        Skapa sidebars*/
function musik_widgets_init() {
	register_sidebar(
		array(
		'name' => __( 'Right Hand Sidebar', 'musik' ),
  		'description' => __( 'Widgets in this area will be shown on the right-hand side.', 'musik' ),
		)
	);
	
	register_sidebar(
		array(
		'name' => __( 'Footer Sidebar', 'musik' ),
  		'description' => __( 'Widgets in this area will be shown in the footer.', 'musik' ),
		)
	);
}
add_action( 'widgets_init', 'musik_widgets_init' );


/**
 * Filters wp_title to print a neat <title> tag based on what is being viewed.
 */
function musik_wp_title( $title, $sep ) {
	global $page, $paged;

	if ( is_feed() )
		return $title;

	// Add the blog name
	$title .= get_bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		$title .= " $sep $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		$title .= " $sep " . sprintf( __( 'Page %s', 'musik' ), max( $paged, $page ) );
		
	if ( is_404() ) {
        $title .=  " $sep " . sprintf( __( 'Page not found', 'musik' ) );
    }
	
	return $title;
}
add_filter( 'wp_title', 'musik_wp_title', 11, 2 );

//Customizer
require get_template_directory() . '/inc/customizer.php';

?>