<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<title><?php wp_title( '|', true, 'right' ); ?></title>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div class="wrapper">
	<div id="header">
		<?php if( get_theme_mod( 'musik_logo_header' ) <> '') {
				if( get_theme_mod( 'musik_logo' ) ) {
					if( get_theme_mod( 'musik_logo_link' ) <> '') {
							echo '<a href="' . esc_url( get_theme_mod( 'musik_logo_link' ) ) . '">';
					}
					echo '<img src="' . esc_url(get_theme_mod( 'musik_logo' )) . '" alt="" class="header-logo">';
					if( get_theme_mod( 'musik_logo_link' ) <> '') {
							echo '</a>';
					}
				}
			}
		?>	
		<?php if (display_header_text() ) :	?>
			<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
			<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
		<?php 
		endif;
		?>
		<nav id="site-navigation" class="menu-background main-navigation" role="navigation">
			<button class="menu-toggle" aria-controls="menu" aria-expanded="false"><span class="screen-reader-text"><?php _e( 'Primary Menu', 'musik' ); ?></span></button>
			<?php wp_nav_menu( array( 'theme_location' => 'header', 'fallback_cb' => false, 'depth'=>2 ) );  ?>
		</nav><!-- #site-navigation -->

	</div>