<?php
function musik_customizer( $wp_customize ) {

//Add sections to the WordPress customizer
	 $wp_customize->add_section('musik_section_one',      array(
            'title' => __( 'Logo image', 'musik' ),
            'priority' => 90
        )
    );
	$wp_customize->add_section('musik_section_two',        array(
            'title' => __( 'Author and meta', 'musik' ),
            'priority' => 205
        )
    );
	 $wp_customize->add_section('musik_section_three',        array(
            'title' => __( 'Sidebar position', 'musik' ),
            'priority' => 210
        )
    );
	//-------------------------------------------------------

	/** Breadcrumbs **/
	/* This option is shown under the navigation section in the customizer*/
	$wp_customize->add_setting( 'musik_hide_breadcrumbs',		array(
			'sanitize_callback' => 'musik_sanitize_checkbox',
		)
	);
	$wp_customize->add_control('musik_hide_breadcrumbs',		array(
			'type' => 'checkbox',
			'label' =>  __( 'Check this box to hide the breadcrumb navigation.', 'musik' ),
			'section' => 'nav',
		)
	);
	
	/** Display title and description in the footer */
	/* This option is shown under the titel and slogan (tagline)  section in the customizer*/
	$wp_customize->add_setting( 'musik_footer_title',		array(
			'sanitize_callback' => 'musik_sanitize_checkbox',
		)
	);
	$wp_customize->add_control('musik_footer_title',		array(
			'type' => 'checkbox',
			'label' =>  __( 'Display the text in the footer.', 'musik' ),
			'section' => 'title_tagline',
		)
	);
			
	/** Logo settings */
	$wp_customize->add_setting( 'musik_logo', array(
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'musik_logo', array(
		'label'    => __( 'Choose a logo: ', 'musik' ),
		'section' => 'musik_section_one',
		'settings' => 'musik_logo',
	)));
	
	/** Logo placement: */
	$wp_customize->add_setting( 'musik_logo_header',array(
			'sanitize_callback' => 'musik_sanitize_checkbox',
		)
	);
		$wp_customize->add_control('musik_logo_header',		array(
			'type' => 'checkbox',
			'label' =>  __( 'Check this box to display the logo in the header.', 'musik' ),
			'section' => 'musik_section_one',
		)
	);
	
	$wp_customize->add_setting( 'musik_logo_sidebar',array(
			'sanitize_callback' => 'musik_sanitize_checkbox',
		)
	);
	$wp_customize->add_control('musik_logo_sidebar',		array(
			'type' => 'checkbox',
			'label' =>  __( 'Check this box to display the logo on top of the sidebar. This requires an active sidebar', 'musik' ),
			'section' => 'musik_section_one',
		)
	);
	
	$wp_customize->add_setting( 'musik_logo_footer',array(
			'sanitize_callback' => 'musik_sanitize_checkbox',
		)
	);
		$wp_customize->add_control('musik_logo_footer',		array(
			'type' => 'checkbox',
			'label' =>  __( 'Check this box to display the logo in the footer.', 'musik' ),
			'section' => 'musik_section_one',
		)
	);
	
	$wp_customize->add_setting( 'musik_logo_link',array(
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control('musik_logo_link',		array(
			'type' => 'text',
			'label' =>  __( 'Add this link to the logo:', 'musik' ),
			'section' => 'musik_section_one',
		)
	);
	//------------------------------------------------------------------------------------------------------
	
	
	//Hide meta and extended author information
	$wp_customize->add_setting( 'musik_hide_authorinfo',		array(
			'sanitize_callback' => 'musik_sanitize_checkbox',
		)
	);
	$wp_customize->add_control('musik_hide_authorinfo',		array(
			'type' => 'checkbox',
			'label' =>  __( 'Check this box to hide the author information and avatar that are displayed in single post view.', 'musik' ),
			'section' => 'musik_section_two',
		)
	);
		$wp_customize->add_setting( 'musik_hide_meta',		array(
			'sanitize_callback' => 'musik_sanitize_checkbox',
		)
	);
	$wp_customize->add_control('musik_hide_meta',		array(
			'type' => 'checkbox',
			'label' =>  __( 'Check this box to hide all the meta information.', 'musik' ),
			'section' => 'musik_section_two',
		)
	);
	//-------------------------------------------------------------------------------------------------
	
	
	//Header image	
	$wp_customize->add_setting( 'musik_header_image_link',	array(
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control('musik_header_image_link',	array(
			'type' => 'text',
			'label' =>  __( 'Add this link to the header image:', 'musik' ),
			'section' => 'header_image',
		)
	);
	//------------------------------------------------------------------------------------------------------
	
	/*genericons*/
	$wp_customize->add_setting( 'musik_genericons', array(
			'sanitize_callback' => 'musik_sanitize_checkbox',
		)
	);
		
	$wp_customize->add_control('musik_genericons', array(
			'type' => 'checkbox',
			'label' =>  __( 'Check this box to show icons in the post meta', 'musik' ),
			'section' => 'musik_section_two',
		)
	);
	
	//Sidebar position	
	$wp_customize->add_setting( 'musik_sidebar_left',		array(
			'sanitize_callback' => 'musik_sanitize_checkbox',
		)
	);
	$wp_customize->add_control('musik_sidebar_left',		array(
			'type' => 'checkbox',
			'label' =>  __( 'Check this box to move the sidebar to the left hand side. (Default is the right hand side. This requires an active sidebar)', 'musik' ),
			'section' => 'musik_section_three',
		)
	);
	
	/*Hide sidebar on frontapge*/
	$wp_customize->add_setting( 'musik_hide_sidebar',		array(
			'sanitize_callback' => 'musik_sanitize_checkbox',
		)
	);
	$wp_customize->add_control('musik_hide_sidebar',	array(
			'type' => 'checkbox',
			'label' =>  __( 'Check this box to hide the sidebar on the frontpage. (This setting is overwritten depending on template)', 'musik' ),
			'section' => 'musik_section_three',
		)
	);
 
}

add_action( 'customize_register', 'musik_customizer' );

function musik_sanitize_checkbox( $input ) {
    if ( $input == 1 ) {
        return 1;
    } else {
        return '';
    }
}

//Sidebar position added to body
function musik_body_class($classes) {
	if (! is_active_sidebar(1)){
		$classes[] = 'no-sidebar';
	}
	if( get_theme_mod( 'musik_sidebar_left' ) <> '') {
		$classes[] = 'left-sidebar';
	}
	
	if( get_theme_mod( 'musik_hide_sidebar' ) <> '') {
		if (is_home()){
			$classes[] = 'no-sidebar';
		}
	}
	return $classes;
}
add_filter('body_class','musik_body_class');


function musik_breadcrumbs(){
	if( get_theme_mod( 'musik_hide_breadcrumbs' ) == '') {
	?>
		<div class="crumbs"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php _e('Home', 'musik');?></a>
		<?php
				if ( count( get_the_category() ) ) : 
					$musik_category = get_the_category(); 
					if($musik_category[0]){
						echo '<i>|</i>  ';
						echo '<a href="'.get_category_link($musik_category[0]->term_id ).'">'.$musik_category[0]->cat_name.'</a>';
					}
				endif;
				echo ' <i>|</i>  ';
				?>
				<?php the_title(); ?>
		</div>
	<?php
	}
}


function musik_author(){
	if( get_theme_mod( 'musik_hide_authorinfo' ) == '') {				
	?>
		<div class="author-info">
			<div class="author-avatar">
				<?php echo get_avatar( get_the_author_meta( 'user_email' ), 60); ?></div>
				<div class="author-description">
					<h2><?php printf( __('About %s','musik'), get_the_author() ); ?></h2>
					<?php	
					if ( get_the_author_meta( 'description' ) ) :  
						the_author_meta( 'description' ); 
					endif;
					?>
					<div class="author-link"><a href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' ) ); ?>">
					<?php printf( __( 'View all posts by %s', 'musik' ), get_the_author() ); ?></a>
				</div>
			</div>
		</div>
	<?php
	}
}


function musik_meta(){
	if( get_theme_mod( 'musik_hide_meta' ) == '') {
		if(get_theme_mod( 'musik_genericons' ) == '') {
		?>
				<div class="meta">
					<?php printf( ('<a href="%3$s" title="%4$s" rel="author">%5$s</a> <a href="%1$s" rel="bookmark">%2$s</a> '),
					esc_url( get_permalink() ),
					esc_html( get_the_date(get_option('date_format')) ),
					esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
					esc_attr( sprintf( __( 'View all posts by %s', 'musik' ), get_the_author() ) ),
					get_the_author()
					);
					
					if ( comments_open() ) :
						comments_popup_link();
						echo '.';					
					endif;
					
					if ( count( get_the_category() ) ) : 
					?>
						<?php printf( __( 'Category: %1s', 'musik' ), get_the_category_list(', ')); ?>.
					<?php 
					endif; 
					    if(get_the_tag_list()) {
							$musik_tags_list = get_the_tag_list( '', ', ' );
							printf( __( 'Tagged: %1$s. ', 'musik' ), $musik_tags_list );
						}
						edit_post_link( __( 'Edit', 'musik' ) );
					if(is_single()){
						musik_author();
					}
					?>
				</div>
		<?php
		}else{
		//genericons are active, display them with the i tag.
		?>
				<div class="meta">
				
				<?php
				//Post format link
				if (has_post_format('link') ){
					echo '<i class="formats-link"></i> ';
				//Post format aside
				}
				
				if(has_post_format('aside') ){
					echo '<i class="formats-aside"></i> ';
				//Post format status
				}
				
				if(has_post_format('status') ){
					echo '<i class="formats-status"></i> ';
				}
				
			 printf( '<i class="author-links"></i> ' . ('<a href="%3$s" title="%4$s" rel="author">%5$s</a> <a href="%1$s" rel="bookmark">%2$s</a> '),
				esc_url( get_permalink() ),
				esc_html( get_the_date(get_option('date_format')) ),
				esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
				esc_attr( sprintf( __( 'View all posts by %s', 'musik' ), get_the_author() ) ),
				get_the_author()
				);
					
				if ( comments_open() ) :
					echo ' <i class="comment-icon"></i> ';
					comments_popup_link();			
				endif;
					
				if ( count( get_the_category() ) ) : 
					echo ' <i class="cat-links"></i> ';
					echo get_the_category_list(', ');
				endif; 
					if(get_the_tag_list()) {
						echo ' <i class="tag-links"></i> ';
						echo get_the_tag_list( '', ', ' );
					}
				edit_post_link(' <i class="edit-links"></i> ' . __( 'Edit', 'musik' ) );

				if(is_single()){
					musik_author();
				}
				
				?>
			</div>
		<?php
		}
	}
}
?>